summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2020-05-23 12:07:47 +0200
committerPacho Ramos <pacho@gentoo.org>2020-05-23 12:07:47 +0200
commit46e1576902b4c3ab0fc7bfc3f7f054806ea2e8a3 (patch)
treecac91f7dfaeb652997c8ffc174124408a59f74bd
parentx11-misc/lightdm-gtk-greeter: Migrate to 'appindicator' USE (diff)
downloadgentoo-46e1576902b4c3ab0fc7bfc3f7f054806ea2e8a3.tar.gz
gentoo-46e1576902b4c3ab0fc7bfc3f7f054806ea2e8a3.tar.bz2
gentoo-46e1576902b4c3ab0fc7bfc3f7f054806ea2e8a3.zip
x11-themes/greybird: Migrate to 'appindicator' USE
Closes: https://bugs.gentoo.org/720320 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
-rw-r--r--x11-themes/greybird/greybird-3.20.1-r2.ebuild6
-rw-r--r--x11-themes/greybird/greybird-3.22.10.ebuild6
-rw-r--r--x11-themes/greybird/greybird-3.22.11.ebuild6
-rw-r--r--x11-themes/greybird/greybird-3.22.9.ebuild6
-rw-r--r--x11-themes/greybird/greybird-9999.ebuild6
5 files changed, 15 insertions, 15 deletions
diff --git a/x11-themes/greybird/greybird-3.20.1-r2.ebuild b/x11-themes/greybird/greybird-3.20.1-r2.ebuild
index acfe638f60d..2f0155ff830 100644
--- a/x11-themes/greybird/greybird-3.20.1-r2.ebuild
+++ b/x11-themes/greybird/greybird-3.20.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/shimmerproject/${MY_PN}/archive/v${PV}.tar.gz -> ${P
LICENSE="CC-BY-SA-3.0 GPL-2+"
SLOT="0"
KEYWORDS="amd64 ~ppc ~ppc64 x86"
-IUSE="ayatana gnome"
+IUSE="appindicator gnome"
RDEPEND="
>=x11-themes/gtk-engines-murrine-0.90
@@ -37,7 +37,7 @@ src_install() {
emake DESTDIR="${D}" install
pushd "${ED}"usr/share/themes/${MY_PN} > /dev/null || die
- use ayatana || rm -rf unity
+ use appindicator || rm -rf unity
use gnome || rm -rf metacity-1
popd > /dev/null || die
}
diff --git a/x11-themes/greybird/greybird-3.22.10.ebuild b/x11-themes/greybird/greybird-3.22.10.ebuild
index 7d775459b57..93f614fd5e1 100644
--- a/x11-themes/greybird/greybird-3.22.10.ebuild
+++ b/x11-themes/greybird/greybird-3.22.10.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/shimmerproject/${MY_PN}/archive/v${PV}.tar.gz -> ${P
LICENSE="CC-BY-SA-3.0 GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE="ayatana gnome xfce"
+IUSE="appindicator gnome xfce"
RDEPEND="
>=x11-libs/gtk+-3.22:3
@@ -37,7 +37,7 @@ src_install() {
default
pushd "${ED}"/usr/share/themes/${MY_PN} > /dev/null || die
- use ayatana || rm -rf unity
+ use appindicator || rm -rf unity
use gnome || rm -rf metacity-1
use xfce || rm -rf xfce* xfwm4*
popd > /dev/null || die
diff --git a/x11-themes/greybird/greybird-3.22.11.ebuild b/x11-themes/greybird/greybird-3.22.11.ebuild
index e1e28aa5a99..a3e918760a9 100644
--- a/x11-themes/greybird/greybird-3.22.11.ebuild
+++ b/x11-themes/greybird/greybird-3.22.11.ebuild
@@ -12,9 +12,9 @@ SRC_URI="https://github.com/shimmerproject/${PN^}/archive/v${PV}.tar.gz -> ${P}.
LICENSE="CC-BY-SA-3.0 GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE="ayatana gnome gtk2 gtk3 xfce"
+IUSE="appindicator gnome gtk2 gtk3 xfce"
REQUIRED_USE="
- || ( ayatana gnome gtk2 gtk3 xfce )
+ || ( appindicator gnome gtk2 gtk3 xfce )
"
RDEPEND="
@@ -33,7 +33,7 @@ src_install() {
meson_src_install
pushd "${ED}"/usr/share/themes > /dev/null || die
- use ayatana || { rm -r ${PN^}*/unity || die; }
+ use appindicator || { rm -r ${PN^}*/unity || die; }
use gnome || { rm -r ${PN^}*/metacity-1 || die; }
use gtk2 || { rm -r ${PN^}*/gtk-2.0 || die; }
use gtk3 || { rm -r ${PN^}*/gtk-3.0 || die; }
diff --git a/x11-themes/greybird/greybird-3.22.9.ebuild b/x11-themes/greybird/greybird-3.22.9.ebuild
index 7d775459b57..93f614fd5e1 100644
--- a/x11-themes/greybird/greybird-3.22.9.ebuild
+++ b/x11-themes/greybird/greybird-3.22.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/shimmerproject/${MY_PN}/archive/v${PV}.tar.gz -> ${P
LICENSE="CC-BY-SA-3.0 GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE="ayatana gnome xfce"
+IUSE="appindicator gnome xfce"
RDEPEND="
>=x11-libs/gtk+-3.22:3
@@ -37,7 +37,7 @@ src_install() {
default
pushd "${ED}"/usr/share/themes/${MY_PN} > /dev/null || die
- use ayatana || rm -rf unity
+ use appindicator || rm -rf unity
use gnome || rm -rf metacity-1
use xfce || rm -rf xfce* xfwm4*
popd > /dev/null || die
diff --git a/x11-themes/greybird/greybird-9999.ebuild b/x11-themes/greybird/greybird-9999.ebuild
index 683dbdd3528..c9739918742 100644
--- a/x11-themes/greybird/greybird-9999.ebuild
+++ b/x11-themes/greybird/greybird-9999.ebuild
@@ -12,9 +12,9 @@ EGIT_REPO_URI="https://github.com/shimmerproject/${PN^}"
LICENSE="CC-BY-SA-3.0 GPL-2+"
SLOT="0"
KEYWORDS=""
-IUSE="ayatana gnome gtk2 gtk3 xfce"
+IUSE="appindicator gnome gtk2 gtk3 xfce"
REQUIRED_USE="
- || ( ayatana gnome gtk2 gtk3 xfce )
+ || ( appindicator gnome gtk2 gtk3 xfce )
"
RDEPEND="
@@ -32,7 +32,7 @@ src_install() {
meson_src_install
pushd "${ED}"/usr/share/themes > /dev/null || die
- use ayatana || { rm -r ${PN^}*/unity || die; }
+ use appindicator || { rm -r ${PN^}*/unity || die; }
use gnome || { rm -r ${PN^}*/metacity-1 || die; }
use gtk2 || { rm -r ${PN^}*/gtk-2.0 || die; }
use gtk3 || { rm -r ${PN^}*/gtk-3.0 || die; }